#cython: language_level=3

from ._obidms cimport OBIView_line


cdef class OBI_Seq(dict) :
    cdef object id
    cdef object definition
    cdef object sequence

    cpdef set_id(self, object id)
    cpdef object get_id(self)
    cpdef set_definition(self, object definition)
    cpdef object get_definition(self)
    cpdef object get_sequence(self)


cdef class OBI_Nuc_Seq(OBI_Seq) :
    cdef object quality
    
    #cpdef object reverse_complement(self)    
    cpdef set_sequence(self, object sequence)
    cpdef set_quality(self, object quality)
    cpdef object get_quality(self)


cdef class OBI_Nuc_Seq_Stored(OBIView_line) :
    cpdef set_id(self, object id)
    cpdef object get_id(self)
    cpdef set_definition(self, object definition)
    cpdef object get_definition(self)
    cpdef set_sequence(self, object sequence)
    cpdef object get_sequence(self)
    cpdef set_quality(self, object quality)
    cpdef object get_quality(self)
    cpdef object get_str_quality(self)

   # cpdef object reverse_complement(self)
