/****************************************************************************
 * Sequence alignment functions header file	                                *
 ****************************************************************************/

/**
 * @file obi_align.h
 * @author Celine Mercier
 * @date May 11th 2016
 * @brief Header file for the functions handling the alignment of DNA sequences.
 */


#ifndef OBI_ALIGN_H_
#define OBI_ALIGN_H_


#include <stdlib.h>
#include <stdio.h>
#include <stdbool.h>

#include "obidms.h"
#include "obidmscolumn.h"
#include "obitypes.h"



/**
 * @brief
 *
 * TODO
 *
 */
int obi_align_one_column(Obiview_p seq_view, OBIDMS_column_p seq_column, Obiview_p score_view, OBIDMS_column_p score_column, double threshold, bool normalize, int reference, bool similarity_mode);


#endif /* OBI_ALIGN_H_ */

